1. Notes & tags
CVViZ API Documentation
  • Start here
    • Quickstart
    • Authentication & permissions
  • Guides
    • API concepts
    • Create a job
    • Find candidates and download resumes
    • Pagination & filtering
    • Rate limits & usage
    • Errors & troubleshooting
    • Safe retries & idempotency
  • Jobs
    • Create a job
      POST
    • List jobs
      GET
    • Get a job
      GET
    • Update a job
      PATCH
    • List candidates for a job
      GET
    • List job benchmark resumes
      GET
    • List candidate job offers
      GET
    • Update a candidate application stage
      PATCH
    • Update job status
      PATCH
  • Candidates
    • List candidates
    • Get a candidate
    • Update a candidate
    • List applications for a candidate
    • List candidate events
    • List candidate documents
    • Download a candidate resume
  • Tasks
    • List tasks
    • Create a task
    • Update a task
    • Update task completion
  • Notes & tags
    • List job notes
      GET
    • Add a job note
      POST
    • List tags for a job
      GET
    • Add tags to a job
      POST
    • List tags for a candidate
      GET
    • Add tags to a candidate
      POST
    • List candidate notes
      GET
    • Add a candidate note
      POST
    • List candidate tags
      GET
  • Screening & interviews
    • List job pre-screening questions
    • List candidate screening answers
    • List candidate interview feedback
  • Organization & lookup data
    • List candidate stages for a job
    • Get job creation options
    • List industries
    • List job functions
    • List employer types
    • List client companies
    • List account users
    • List departments
    • List hiring managers
    • List candidate grades
  1. Notes & tags

List candidate notes

GET
/candidates/{candidateId}/notes
Returns non-private notes for a candidate. Tasks and private notes are excluded.

Permissions#

notes.read

Pagination#

Use page and pageSize; see the query parameters below for defaults and limits. See Pagination & filtering for examples.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Successful response.
Headers

Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠429
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.cvviz.com/v1/candidates//notes?page=&pageSize=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": 7301,
            "entityType": "candidate",
            "entityId": 501,
            "note": "Candidate is available for an interview next week.",
            "author": {
                "type": "api_credential",
                "id": null,
                "name": "API:key_abcdefghijklmnop"
            },
            "createdAt": "2026-09-01T10:00:00.000Z",
            "updatedAt": null
        }
    ],
    "meta": {
        "pagination": {
            "page": 1,
            "pageSize": 10,
            "totalItems": 1,
            "totalPages": 1
        }
    }
}
Previous
Add tags to a candidate
Next
Add a candidate note
Built with